- Fetch custom entity records by entityId/recordId or list with pagination.
Create a new custom entity record.
Update a custom entity record.
Patch update a custom entity record.
Delete custom entity records by entityId.
Fetch custom entity recor...
Security
bearerAuth and apiKeyAuth
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/customEntity/entity
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/customEntity/entity
curl -i -X GET \
'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/customEntity/entity?entityId=string&recordId=string&entityType=string' \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Key: YOUR_API_KEY_HERE'Success
Array []
Standard name field, every entity must have a name such that default tabular view of entity could be created.
Response
[ { "id": "string", "entityId": "string", "name": "string", "detail": "string", "type": "string", "values": { … }, "createdTime": "string", "createdTimeInMillis": 0, "modifiedTime": "string", "modifiedTimeInMillis": 0 } ]